$(function(){
	let myLogout = document.createElement("span");
	myLogout.setAttribute("class","myLogoutBtn");

	$(document).on('click', '.myLogoutBtn',function(){
		chrome.runtime.sendMessage({option: "deleteCookies"});

		setTimeout(function(){
			if(redirect) {
				document.location = "/logout";
			}
		},1500);
	});

	setInterval(function(){
		if($('a[href="/logout"]').length){
			var d = $('a[href="/logout"]').closest('div');
			if(!$('.myLogoutBtn',d).length) {
				d.prepend(myLogout);

				$('.myLogoutBtn').css({
					'width': '100%',
					'height': '100%',
					'position': 'absolute',
					'z-index':'111',
					'cursor': 'pointer'
				});

				$('.myLogoutBtn').hover(function(){
					$(this).css("background-color", "rgba(231, 237, 241, 0.5)");
				}, function(){
					$(this).css("background-color", "none");
				});
			}
		}
	}, 500);

	setInterval(function () {
		let _initial = document.querySelector("body script[nonce]").innerHTML.match(/INITIAL_STATE__=(.*);/i);
		if (_initial && _initial[1]) {
			let _data = JSON.parse(_initial[1].split("};")[0]+"}");
			let user_id = _data.session.user_id,
				user = _data.entities.users.entities[user_id],
				user_image = user.profile_image_url_https;

			chrome.runtime.sendMessage({
				option: "user_id",
				username: user.screen_name,
				user_id: user_id,
				language: _data.session.language,
				user_image: user_image
			});
		} else {
			console.log("User info not found!");
		}
	}, 2000);
});